Kompilera Firefox 2 under Ubuntu 6.06 (Dapper)?

Permalänk
Medlem

Kompilera Firefox 2 under Ubuntu 6.06 (Dapper)?

Jo det är som såhär att jag använder mig av SCIM för att skriva på japanska i vissa program, och den versionen av Firefox 2 som jag laddade ner från Mozilla krashar innan den hunnit hoppa upp på skärmen när man har SCIM igång.

På FirefoxNewVersion i Ubuntuwikin står det att man kan lösa detta problem igenom att följa guiden på CompileFirefoxNewVersion, men denna sida finns inte.

Så hur gör jag för att kompilera en bra version av Firefox? i686-optimering, SCIM-stöd, inga deffekter i stil med att massa plug-ins buggar och liknande?

Jag hittade en guide på Ubuntuforums för hur man ska göra för att fixa 1.5 till x64 (http://ubuntuforums.org/showthread.php?t=298553), men när jag kommer till "make -C ff-opt-static/browser/installer/" så går jag detta:

kaminix@kaminix-laptop:~/mozilla$ make -C ff-opt-static/browser/installer/ make: Entering directory `/home/kaminix/mozilla/ff-opt-static/browser/installer' Makefile:69: *** you need a "--enable-static --disable-shared" build to create an installer. Stop. make: Leaving directory `/home/kaminix/mozilla/ff-opt-static/browser/installer/

Så, hur gör jag för att få en fin kompilering av Firefox2 att funka i Ubuntu? Vet inte om det krävs något extra för det, men jag vill installera skiten till /opt/ sen, inte /usr/lib.

EDIT:
Skulle det vara något att köra Edgy? Eller är det bara idiotiskt att köra betan som desktop? Den är ju trots allt rätt nära release...

Permalänk
Medlem

Edgy eft har funnits i skarp version i en månad nu.

Permalänk
Medlem

Edgy är ju inte beta längre, och det har fungerat bra för mig med den som ubuntu-desktop, då får du ju också Firefox2 som standard. Annars borde det väl gå att lägga till edgy repos och installera Firefox2 därifrån, dock ingenting som jag fullt ut rekommenderar då Fx2 inte är tänkt för Dapper.

Permalänk
Medlem

Är 6.10 Edgy? Trodde det bara var som ett Service Pack för Breezy typ. :s
Aja, tankar den nu iaf.

EDIT:
Ska jag tankza Alternate eller Server om jag vill installera Desktop-paketen för hand med apt-get?

Permalänk

Alternate